<?php
session_start();
$currentBaseDir = dirname($_SERVER['PHP_SELF']);
include($_SESSION['basedir']."core.php");

$svaTool = new svaTool();


$errorCode = 0;

$password = NULL;
$confPasswd = NULL;
// Ajout de nouvel utilisateur
if (isset($_REQUEST['queueName']) && strlen($_REQUEST['queueName']) > 0)
    $queueName = addslashes(str_replace(" ","_",$_REQUEST['queueName']));
else
    $errorCode = 1;
if (isset($_REQUEST['wrapTime']) &&  is_numeric($_REQUEST['wrapTime']) && strlen($_REQUEST['wrapTime']) > 0 )
    $wrapTime = addslashes($_REQUEST['wrapTime']);
else
    $errorCode = 2;

if (isset($_REQUEST['musicOnHoldClass']) && $_REQUEST['musicOnHoldClass'] != "-1")
    $musicOnHoldClass = addslashes($_REQUEST['musicOnHoldClass']);
else
    $errorCode = 3;

if (isset($_REQUEST['strategy']) && $_REQUEST['strategy'] != "-1")
    $strategy = addslashes($_REQUEST['strategy']);
else
    $errorCode = 4;





if ($errorCode == 0) {
$queueId = $_REQUEST['id'];

$res = $dba->UpdateAddCRMQueue(1,$queueId, $queueName,$musicOnHoldClass, $strategy, $wrapTime) ;

$res = $dba->crmGetAgentList($_SESSION['right'], $_SESSION['ownerId'], -1);
$memberlist = "" ;
for($i=0;$i<count($res);$i++){
	
	$memberlist .= $svaTool->getQueueMemberConfig($res[$i]['mobile_phone_v']);
	
}

/** Reconstruction des file d'attente ***/
$res = $dba->getSCCQueueDetails(0);
$queuelist = "";
for($i=0;$i<count($res);$i++){
	
	$queuelist .= $svaTool->getQueueConfig($res[$i]['name'], $res[$i]['wrapuptime'], $memberlist);
	
}
$fp = fopen($_SESSION['cfg']['scc']['queues.additional.file'], 'w') or die ('Impossible d\'accéder au fichier.');
fputs($fp,$queuelist);
fclose($fp);

$manager->reloadConfig();


   //$errorCode = 10;
}




switch ($errorCode) {

    case 0 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"FILE D'ATTENTE MODIFIE AVEC SUCCES !\"  }"; 
        break;
    case 1 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! L'IDENTIFIANT DE LA FILE EST INVALIDE !\"  }";
        break;
    case 2 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LA VALEUR DU TEMPS DE REPOS EST INVALIDE !\"  }"; 
        break;
    case 3 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! VEUILLEZ SELECTIONNER LA MUSIQUE D'ATTENTE.\"  }"; 
        break;
    case 4 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! VEUILLEZ SELECTIONNER LA STRATEGIE DES APPELS ENTRANTS.\"  }";
        break;
   /* case 5 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LE LOGIN EST INVALIDE.\"  }"; 
        break;
    case 6 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! L'EMAIL EST INVALIDE.\"  }";
        break;
    /*case 7 : $msg =  "ERREUR ! LE MOT DE PASSE EST INVALIDE.";
        break;
    case 8 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LE MOT DE PASSE DE CONFIRMATION EST INVALIDE .!\"  }"; 
        break;
    case 9 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LES MOTS DE PASSE NE CONCORDENT PAS.\"  }";
        break; */
    case 13 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! IMPOSSIBLE DE CREER LE COMPTE. VEUILLEZ RE-ESSAYER ULTERIEUREMENT!\"  }";  break;
	/*
		case 14 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! VEUILLEZ SELECTIONNER LE PLAN TARIFAIRE ASSOCIE AU COMPTE !\"  }";   break; */
   
	 
}


echo $msg ;


?>